<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zroot = $_SESSION["zdbroot"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$success = false;

$maindb = "compyear";
$file = "compyear.php";

$keyfld = "";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `yearname` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `startdate` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `lastdate` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `yearname` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `startdate` LIKE '%$searchTerm%'";
    }  elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `lastdate` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `yearname`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `yearname`";
    } elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `startdate`";
    } elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `lastdate`";
    }

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

$query = "SELECT * FROM `compyear` WHERE `yearname`!=''  $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'yearname'    => $r['yearname'],
        'startdate'    => $r['startdate'],
        'lastdate'    => $r['lastdate'],
        'action'  => "$file?mode=edit&id=$r[id]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
